Commit 5b517c26 authored by Robert's avatar Robert

Disable markdown in browsable api due to version conflict (we use markdown < 3...

Disable markdown in browsable api due to version conflict (we use markdown < 3 which is incompatible with rest_framework)
parent 043445a2
Pipeline #1842 passed with stage
in 7 minutes and 21 seconds
......@@ -243,6 +243,7 @@ REST_FRAMEWORK = {
'DEFAULT_FILTER_BACKENDS': (
'django_filters.rest_framework.DjangoFilterBackend',
),
'VIEW_DESCRIPTION_FUNCTION': 'grouprise.features.rest_api.views.get_view_description',
}
......
import rest_framework
def get_view_description(view, html=False):
# FIXME: we call rest_frameworks get_view_description here without html support to disable
# markdown, as we are using markdown < 3 which is incompatible with rest_framework
return rest_framework.views.get_view_description(view, html=False)
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment